REGENERATOR(1)

NAME
regenerator - functional JavaScript transformator

SYNOPSIS
regenerator [options] <source directory> <output directory> [<module ID> [<module ID> ...]]

OPTIONS

-V, --version
    output the version number

-c, --config [file]
    JSON configuration file (no file or - means STDIN)

-w, --watch
    Continually rebuild

-x, --extension <js | coffee | ...>
    File extension to assume when resolving module identifiers

--relativize
    Rewrite all module identifiers to be relative

--follow-requires
    Scan modules for required dependencies

--use-provides-module
    Respect @providesModules pragma in files

--cache-dir <directory>
    Alternate directory to use for disk cache

--no-cache-dir
    Disable the disk cache

--source-charset <utf8 | win1252 | ...>
    Charset of source (default: utf8)

--output-charset <utf8 | win1252 | ...>
    Charset of output (default: utf8)

-r, --include-runtime
    Prepend the runtime to the output.

--disable-async
    Disable transformation of async functions.

-h, --help
    display help for command